Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.content.document
Class DocumentPk

    java.lang.Object
      |
      +--com.bea.p13n.content.ContentPk
            |
            +--com.bea.p13n.content.document.DocumentPk

Deprecated. Use java.lang.String instead.

public class DocumentPk
extends ContentPk
implements java.io.Serializable

The primary key class for a Document.

See Also:
  Serialized Form

Fields inherited from class com.bea.p13n.content.ContentPk
`identifier`

Constructor Summary
`DocumentPk()` Deprecated. Default constructor.
`DocumentPk(java.lang.String identifier)` Deprecated. Constructor that takes in all of the primary key attributes as parameters.

Method Summary
`int` | `compareTo(java.lang.Object o)` Deprecated. Implements to compare the object against the identifier.
`int` | `hashCode()` Deprecated. Override to use the hashcode of the identifier.
`java.lang.String` | `toString()` Deprecated. Returns the identifier.

Methods inherited from class com.bea.p13n.content.ContentPk
`equals`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DocumentPk

    public DocumentPk()

  Deprecated.
  Default constructor.

### DocumentPk

    public DocumentPk(java.lang.String identifier)

  Deprecated.
  Constructor that takes in all of the primary key attributes as parameters. All attribute values will be set to the input parameter values.

  Parameters:
    `identifier` - the Document identifier.

Method Detail

### compareTo

    public int compareTo(java.lang.Object o)

  Deprecated.
  Implements to compare the object against the identifier.

  Overrides:
    compareTo in class ContentPk

### toString

    public java.lang.String toString()

  Deprecated.
  Returns the identifier.

  Overrides:
    toString in class ContentPk

### hashCode

    public int hashCode()

  Deprecated.
  Override to use the hashcode of the identifier.

  Overrides:
    hashCode in class ContentPk

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved